<section>
    <div class="card mt-5 mx-auto shadow p-3 mb-5 bg-body rounded" style="width:400px">
        <div>
            <h4>Sign Up</h4>
        </div>
<form class="row g-3" (ngSubmit)= "submit()">
    <div class="col-md-6">
      <input type="text" class="form-control" id="firstName" placeholder="First Name" [(ngModel)]= "user.firstName" name= "fName">
    </div>
    <div class="col-md-6">
      <input type="text" class="form-control" id="lastname" placeholder="Last Name" [(ngModel)]= "user.lastName" name= "lName">
    </div>
    <div class="col-12">
      <input type="email" class="form-control" id="email" placeholder="username@email.com" [(ngModel)]= "user.email" name= "emaillAdd">
    </div>
    <div class="col-12">
      <input type="text" class="form-control" id="contact" placeholder="Contact Number: XXX-XXX-XXX" [(ngModel)]= "user.mobileNumber" name= "contactNo">
    </div>
    <div class="col-12">
        <input type="text" class="form-control" id="password" placeholder="Password" [(ngModel)]= "user.password" name="pass1">
      </div>
      <div class="col-12">
        <input type="text" class="form-control" id="confirmedPassword" placeholder="Confirm Password" [(ngModel)]= "user.confirmedPass" name="pass2">
      </div>
    <label>Gender</label>
    <div class="col-sm-3">
        <select class="form-select" id="gender" [(ngModel)] = "user.gender" name="gndr">
        <option selected>...</option>
          <option value="1">Female</option>
          <option value="2">Male</option>
          <option value="3">Prefer not to say</option>
        </select>
      </div>
      <div class="col-12">
      <button type="submit" class="btn btn-primary">Sign Up!</button>
    </div>
</form>
</div>
</section>
